/**
 *
 */
var persistenceBanco;
var callbackGlobal;
var erro;
function SincListaPreco(ip, banco, callback) {

	callbackGlobal = callback;

	var select = "LISTAID, DESCRICAO, TIPO_LISTA, PERCENTUAL".split(", ");
	var from = "dbo.VW_MOBILE_LISTAS_PRECOS";
	var where = "";

	try {

		var servico = new ServicoConsulta(ip, banco, montarSqlSelect(select, from, where), true, function(retorno) {

			var listaPrecoAdicionar = [];

			for (var i = 0; i < retorno.length; i++) {

				var colunas = retorno[i].split("#c#");

				var novasColunas = new HashTable();

				for (var j = 0; j < colunas.length; j++) {
					if (colunas[j] == null) {
						colunas[j] = "";
					}
					novasColunas.setItem(select[j], colunas[j]);
				}

				var listaPreco = new ListaPreco();
				listaPreco.listaId = novasColunas.getItem("LISTAID");
				listaPreco.descricao = novasColunas.getItem("DESCRICAO");
				listaPreco.tipoLista = novasColunas.getItem("TIPO_LISTA");
				listaPreco.percentual = novasColunas.getItem("PERCENTUAL");

				listaPrecoAdicionar[i] = listaPreco;
			}
			apagarTodosListaPreco(listaPrecoAdicionar);
		});

	} catch(e) {
		e.message = e.message + "\nBanco: " + from;
		throw e;
	}

}

function apagarTodosListaPreco(listaPrecoAdicionar) {
	abrirBanco(function(a) {
		persistenceBanco = a;

		persistenceBanco.listaPreco.clear().done(function(results) {
			adicionarBanco(persistenceBanco, 'listaPreco', listaPrecoAdicionar, function(a) {
				callbackGlobal();
			});
		});
	});
}
